#!/usr/bin/perl -w
use strict;

# usage - name of script then input file from gtkterm
# this assumes you cleared the screen in gtkterm, then
#typed C and ctrl-j, then saved it all raw.
# we skip the first two lines - the C and the zeroth bin.

# just a test to see how bin-averaging might work out

my $y = 0;
my $t = 0;
my $avg = 3;
open (OUT, "> binavg.txt") or die "couldn't open binavg.txt $!";
my $lineno = 0;
while (<>)
{
next unless (++$lineno>2);
 chomp; # remove /n
 chop; # remove /r maybe from GtkTerm?
 $y += $_; # sum the bin	
 if (++$t >$avg) 
  {
  $t=0;# start bin average
  $y /=($avg+1); # true average
  if ($y<1) {$y=0;}
  print OUT "$y\n";
  $y=0; # start next one fresh
 }
}
print "Done\n";
exec ("gnuplot -persist \"plot.cmd\"" );